%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%{!?python_sitearch: %global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}

Name:           sugar-record
Version:        66
Release:        3%{?dist}
Summary:        Recording tool for Sugar

Group:          Sugar/Activities
License:        MIT
URL:            http://wiki.laptop.org/go/Record
Source0:        http://activities.sugarlabs.org/downloads/file/26860/record-%{version}.xo
Source1:        launch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  gettext
BuildRequires:  python-devel
BuildRequires:  sugar-toolkit

BuildRequires:  glib2-devel
BuildRequires:  pygtk2-devel
BuildRequires:  cairo-devel
BuildRequires:  pycairo-devel
BuildRequires:  gtk2-devel

Requires:       sugar
Requires:       gstreamer-plugins-good

%description
Record is the basic rich-media capture activity for the laptop. It 
lets you capture still images, video, and/or audio. It has a simple 
interface and works in both laptop and ebook mode. An interface for 
sharing pictures among multi XOs during a picture-taking session is
a hallmark of the Record activity

%prep
%setup -q -n Record.activity

# removed stuff that's not needed
rm -rf gst/

%build
%{__python} setup.py build

%install
rm -rf %{buildroot}

python ./setup.py install --prefix=%{buildroot}/%{_prefix}

%find_lang org.laptop.RecordActivity

rm -rf %{buildroot}/%{sugaractivitydir}/Record.activity/.0sugar/
mkdir %{buildroot}/%{sugaractivitydir}/Record.activity/.0sugar/
cp %{SOURCE1} %{buildroot}/%{sugaractivitydir}/Record.activity/.0sugar/

%clean
rm -rf %{buildroot}

%files -f org.laptop.RecordActivity.lang
%defattr(-,root,root,-)
%doc COPYING NEWS
%{sugaractivitydir}/Record.activity/

%changelog
* Tue Apr 20 2010 Peter Robinson <pbrobinson@gmail.com> - 66-3
- fix launch script

* Thu Apr  8 2010 Peter Robinson <pbrobinson@gmail.com> - 66-2
- fix build

* Thu Apr  8 2010 Peter Robinson <pbrobinson@gmail.com> - 66-1
- New upstream 66 release

* Sat Apr  3 2010 Peter Robinson <pbrobinson@gmail.com> - 65-1
- New upstream 65 release

* Sun Feb 21 2010 Sebastian Dziallas <sebastian@when.com> - 64-6
- Enable use of system library

* Thu Feb 18 2010 Sebastian Dziallas <sebastian@when.com> - 64-5
- Enable binary builds again

* Mon Dec 14 2009 Peter Robinson <pbrobinson@gmail.com> - 64-4
- Add buildreq gettext to fix build issues on F-12/rawhide - fixes # 539221

* Sun Aug 16 2009 Fabian Affolter <fabian@bernewireless.net> - 64-3
- Readded noarch
- Removed duplicated docs 
- Removed pre-compiled parts

* Tue Aug 04 2009 Fabian Affolter <fabian@bernewireless.net> - 64-2
- Added gstreamer as a requirement and removed the embedded one
- Added debug_package

* Sat Jun 27 2009 Fabian Affolter <fabian@bernewireless.net> - 64-1
- Removed noarch
- Updated to new upstream version 64

* Sat Apr 25 2009 Fabian Affolter <fabian@bernewireless.net> - 62-1
- Added URL for source tarball
- Removed VCS checkout stuff
- Updated to new upstream version 62

* Sun Dec 14 2008 Fabian Affolter <fabian@bernewireless.net> - 60-1
- Updated to new upstream version 60

* Sun Oct 19 2008 Fabian Affolter <fabian@bernewireless.net> - 59-1
- Initial package for Fedora
